Quest has been named as an ASP "Ten Best Web Support Sites" award winner. Learn more.

Rapid Recovery 6.0.2 - Installation and Upgrade Guide

*** Legend Introduction to Dell Data Protection | Rapid Recovery Rapid Recovery system requirements Installing Rapid Recovery
Understanding Rapid Recovery components Installing the Rapid Recovery Core Installing the Rapid Recovery Agent software Installing the Rapid Recovery Central Management Console Automatically installing updates Uninstalling the Rapid Recovery Core Uninstalling the Rapid Recovery Agent software Uninstalling the AppAssure Agent software from a Linux machine Uninstalling the Rapid Recovery Central Management Console
Upgrading to Rapid Recovery

Dell Support policy

Dell Software policy is to support two previous releases of software products. As of Rapid Recovery release 6.0.2, Dell continues to support the full range of Rapid Recovery release 6.0.1 Core and Agent features, and AppAssure Core and Agent in release 5.4.3. If you want to take advantage of new features, upgrade to the latest release, Rapid Recovery release 6.0.2.

The following table provides a visual guide, by Agent version, of compatibility between AppAssure and Rapid Recovery Agents and Cores.

Table 1. Compatibility between AppAssure and Rapid Recovery Agents and Cores
Agent AppAssure 5.4.1 Core AppAssure 5.4.2 Core AppAssure 5.4.3 Core Rapid Recovery 6.0.1 Core Rapid Recovery 6.0.2 Core
5.4.1 Agent Supported Supported Supported Not Supported Not Supported
5.4.2 Agent Not Supported Supported Supported Supported Not Supported
5.4.3 Agent Not Supported Not Supported Supported Supported Supported
6.0.1 Agent Not Supported Not Supported Not Supported Supported Supported
6.0.2 Agent Not Supported Not Supported Not Supported Not Supported Supported

Was this topic helpful?

[Select Rating]



Upgrading factors to consider

When upgrading from AppAssure to Rapid Recovery on your machines, or upgrading from one version of Rapid Recovery to another, it is important to be mindful of the following best practices:

  • If upgrading to Rapid Recovery Core release 6.0.2, you can continue to protect machines with older versions of Agent, including AppAssure Agent release 5.4.3. If you want to use any new features or enhancements in the Agent software, you can upgrade to Rapid Recovery Agent release 6.0.1 or 6.0.2.
  • Dell tests the compatibility of transfers between machines protected with AppAssure Agent 5.3.7 and Rapid Recovery Core release 6.0.1 and 6.0.2. For full supportability of any other functions, Dell suggests you upgrade the Agent software on your protected machines to AppAssure Agent release 5.4.3, or Rapid Recovery Agent release 6.0.1 or 6.0.2.
  • Rapid Recovery installers (for both the Core and Agent software) can be used for first-time installation or for upgrading. Installers can be downloaded from the Dell Data Protection | Rapid Recovery License Portal at https://licenseportal.com.
  • You can install or upgrade Rapid Recovery Core from the Core Installer or the web installer. The Core Installer downloads the executable file in one task. The Core Web Installer streams a download of the latest version of the Rapid Recovery Core installer, which runs directly from the web and lets you pause and resume the process as needed. From a compatibility perspective, there is no difference between using the Core Installer or the web installer. Both versions are available for download from the Dell Data Protection | Rapid Recovery License Portal.
  • Before upgrading, verify that your system meets operating system, memory, processor, storage, and network requirements. For additional guidance for sizing your hardware, software, memory, storage, and network requirements, see Dell Data Protection | Rapid Recovery knowledge base article 118407, “Sizing AppAssure and Rapid Recovery Deployments.”
  • Always upgrade the Core before upgrading protected machines with the Rapid Recovery Agent software.
  • The Core machine can run a version of Rapid Recovery that is the same as, or more recent than, the version installed on protected machines.
  • Protected machines must not run a version of the Agent software that is more recent than the version installed on the Core. This guideline only applies to the first three digits in a release name (for example, 5.4.2, 5.4.3, 6.0.1, 6.0.2). For example, the build number for a supported Linux Agent version (5.4.3.5651) can be greater than the corresponding build number for the Core (5.4.3.106). Both build numbers in this example are for release 5.4.3.
    Note: Within a release, it is acceptable to use different build numbers. For example, if using the automatic update feature to install the latest versions of Agent on protected machines, there may be minor differences between Agent software versions, or between the Agent and the Core version.
  • If using replication, always upgrade the target Core first, then upgrade the source Core, and lastly upgrade protected machines.
  • The source Core must not run a version of Rapid Recovery more recent than the target Core.
    CAUTION:
    If you see a message in the Core Console of a source Core indicating that a newer version of the Core software is available, but the message indicates that a replicated (target) Core has an earlier version, do not click Update Now. Instead, update the target Core first, and then update the source Core.
  • If using cross replication (when two Cores are replicating recovery points from each other's protected machines), replication must be paused on both Cores first. Then both Cores should be upgraded prior to resuming replication functions.

Was this topic helpful?

[Select Rating]



Consider localization before upgrading

Rapid Recovery release 6.0.2 is an international release. In addition to availability in English, this release is localized into simplified Chinese, French, Korean, German, Japanese, Brazilian Portuguese, and international Spanish. When a localized version is installed, you can see or change the current display language set for the Core Console in the general settings for the Core.

Rapid Recovery release 6.0.1 was available in English only. If upgrading from a localized AppAssure Core 5.4.3, upgrading to release 6.0.2 supports uninterrupted use of a localized Core Console user interface. If upgrading from Rapid Recovery Core release 6.0.1, you can now change your locale to the desired language to view the Core Console in that language.


Was this topic helpful?

[Select Rating]



Rapid Recovery beta program considerations

Customers who participated in the Rapid Recovery beta program did so with the requirement that the beta software be installed in a lab environment, not a production environment. There is no direct upgrade path from a beta release to the generally available release. Interoperability of beta releases and production releases is not supported.

If you participated in the beta program, do not attempt to upgrade the beta version of the Rapid Recovery Core. Instead, if using the same server, perform the following steps:

  • Delete your repository or repositories.
  • Perform a full uninstall of the Rapid Recovery Core using the installer or from Control Panels, Add/Remove.
  • Obtain the production version of the Core installer or Core web installer from the license portal and perform a clean install of the Core.

Was this topic helpful?

[Select Rating]



Related Documents